package com.qmth.teachcloud.report.business.bean.result;

import com.qmth.teachcloud.common.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: GradeDistributePaperResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/23
 */
public class GradeDistributePaperResult implements Serializable {

    @ApiModelProperty(value = "分数")
    @ExcelProperty(name = "分数段", width = 30, index = 1)
    private String scores;

    @ApiModelProperty(value = "全体比例")
    private Double totalRate;

    @ExcelProperty(name = "人数", width = 30, index = 2)
    @ApiModelProperty(value = "全体实考人数")
    private Integer totalRealityCount;

    @ExcelProperty(name = "占比", width = 30, index = 3)
    @ApiModelProperty(value = "全体比例")
    private String totalRateStr;

    public GradeDistributePaperResult() {

    }

    public GradeDistributePaperResult(String scores, Double totalRate, Integer totalRealityCount) {
        this.scores = scores;
        this.totalRate = totalRate;
        this.totalRealityCount = totalRealityCount;
    }

    public String getTotalRateStr() {
        return totalRate + "%";
    }

    public void setTotalRateStr(String totalRateStr) {
        this.totalRateStr = totalRateStr;
    }

    public String getScores() {
        return scores;
    }

    public void setScores(String scores) {
        this.scores = scores;
    }

    public Double getTotalRate() {
        return totalRate;
    }

    public void setTotalRate(Double totalRate) {
        this.totalRate = totalRate;
    }

    public Integer getTotalRealityCount() {
        return totalRealityCount;
    }

    public void setTotalRealityCount(Integer totalRealityCount) {
        this.totalRealityCount = totalRealityCount;
    }
}
